﻿@model IEnumerable<Bll.Models.UserWithSummary>
@using Pl.Helper.HtmlExtensions;

@if (Model.Any())
{
    foreach (var item in Model)
    {
        <div class="card mb-3 p-2">
            <div class="card-header">
                <h5>@item.SummaryModel.Position</h5>
            </div>
            <div class="card-text">
                <div class="container">
                    <div class="row">
                        <div class="col-9">
                            <div class="d-flex flex-column mt-5">
                                <div>
                                    @item.UserModel.Name @item.UserModel.Surname, @item.UserModel.Age y.o.
                                    <hr />
                                </div>
                                <div>
                                    Places of work: @item.SummaryModel.WorkExperiences.Count()
                                    <hr />
                                </div>
                                <div class="d-flex">
                                    <p>Education: </p> @{
                                        var edu = item.SummaryModel.Educations.OrderBy(i => i.EducationLevelId).FirstOrDefault();
                                        if (edu != null)
                                        {
                                            <p>@edu.EducationLevel</p>
                                        }
                                        else
                                        {
                                            <p>No Education</p>
                                        }
                                    }
                                    <hr />
                                </div>
                            </div>
                        </div>
                        <div class="col-3">
                            <div class="profile-image">
                                @if (!string.IsNullOrWhiteSpace(item.UserModel.ProfileImage))
                                {
                                    @Html.ConvertBase64ToImage(item.UserModel.ProfileImage)
                                }
                                else
                                {
                                    <img src="~/Content/Images/NoProfilePhoto.png">
                                }
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-footer">
                <div class="container">
                    <div class="row">
                        <div class="col-10">
                            @item.SummaryModel.CreationDate.ToString("dd.MM.yyyy")
                        </div>
                        <div class="col-2">
                            @Html.ActionLink("Details", "GetSummaryDetails", "Summary", new { item.SummaryModel.Id }, new { @class = "btn btn-dark" })
                        </div>
                    </div>
                </div>
            </div>
        </div>
    }
}
else
{
    <div class="d-flex w-100 justify-content-center">
        <h2 class="d-flex">No summaries</h2>
    </div>
}
